unit Unit1;

{$i Demo.inc}

interface

uses
  Windows, Messages, SysUtils,
{$ifdef D_67}
  Variants,
{$endif}
  Classes, Graphics, Controls, Forms,
  Dialogs, PhWnd, PhCnsl, PhMnBtn, PhMn, PhBtn, PhWdgt, PhLbl, StdCtrls,
  PhEdit, PhClc, PhPrgr, PhTs;

type
  TForm1 = class(TForm)
    PhCnslCl1: TPhCnsl;
    PhWndCl1: TPhWnd;
    PhWndCl2: TPhWnd;
    PhEditCl1: TPhEdit;
    PhLblCl1: TPhLbl;
    PhBtnCl1: TPhBtn;
    PhBtnCl2: TPhBtn;
    PhBtnCl3: TPhBtn;
    PhMnCl1: TPhMn;
    PhMnBtnCl1: TPhMnBtn;
    PhMnBtnCl2: TPhMnBtn;
    PhMnBtnCl3: TPhMnBtn;
    PhMnCl2: TPhMn;
    PhMnBtnCl4: TPhMnBtn;
    PhMnBtnCl5: TPhMnBtn;
    PhMnBtnCl6: TPhMnBtn;
    PhPrgrCl1: TPhPrgr;
    PhClockCl1: TPhClock;
    PhBtn1: TPhBtn;
    PhWnd1: TPhWnd;
    PhTxtScreen1: TPhTxtScreen;
    procedure PhBtnCl1PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
      pParam: Pointer);
    procedure PhBtnCl2PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
      pParam: Pointer);
    procedure PhBtnCl3PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
      pParam: Pointer);
    procedure PhMnBtnCl1PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
      pParam: Pointer);
    procedure PhBtn1PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
      pParam: Pointer);
  private
    { Private declarations }
    procedure OnEndPlay( Sender : TObject );
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.PhBtnCl1PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
  pParam: Pointer);
begin
  if iWhat = Pt_CB_ACTIVATE
  then  PhWndCl1.PhCmp.Pt_ARG_WINDOW_TITLE :=
          PhEditCl1.PhCmp.Pt_ARG_TEXT_STRING;
end;

procedure TForm1.PhBtnCl2PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
  pParam: Pointer);
var
  pt : TPoint;
begin
  if iWhat = Pt_CB_ACTIVATE
  then  begin
        pt := PhBtnCl2.GetCnslLeftTop;
        PhMnCl1.Show( pt.X, pt.Y + PhBtnCl2.Height, true );
        end;
end;

procedure TForm1.PhBtnCl3PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
  pParam: Pointer);
var
  pt : TPoint;
begin
  if iWhat = Pt_CB_ACTIVATE
  then  begin
        pt := PhBtnCl3.GetCnslLeftTop;
        PhMnCl2.Show( pt.X, pt.Y + PhBtnCl3.Height, true );
        end;
end;

procedure TForm1.PhMnBtnCl1PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
  pParam: Pointer);
begin
  if iWhat = Pt_CB_ARM
  then  PhPrgrCl1.PhCmp.Pt_ARG_GAUGE_VALUE :=
          TPhMnBtn( oSender ).PhCmp.MenuInd * 30;
end;

procedure TForm1.PhBtn1PhCB(oSender: TControl; iWhat: TPt_CB_REASON;
  pParam: Pointer);
begin
  if iWhat = Pt_CB_ACTIVATE
  then  begin
        PhWnd1.PhCmp.Pt_ARG_EFLAGS :=
          PhWnd1.PhCmp.Pt_ARG_EFLAGS + [ MyPt_VISIBLE ];
        PhWnd1.BringToFront;
        OnEndPlay( nil );
        end;
end;

procedure TForm1.OnEndPlay;
begin
  PhTxtScreen1.PlayScenarioFile( 'Demo.txt', OnEndPlay );
end;

end.
